# Uses of Class
org.eclipse.net4j.db.ddl.delta.IDBDeltaVisitor.Filter.Policy

Packages that use IDBDeltaVisitor.Filter.Policy
Package
Description
org.eclipse.net4j.db
The Net4j DB framework.
org.eclipse.net4j.db.ddl.delta
The Net4j DB framework concepts for the abstraction of schema deltas.

## Uses of IDBDeltaVisitor.Filter.Policy in org.eclipse.net4j.db

Fields in org.eclipse.net4j.db declared as IDBDeltaVisitor.Filter.Policy
Modifier and Type
Field
Description
`static final IDBDeltaVisitor.Filter.Policy`
IDBSchemaTransaction.`DEFAULT_ENSURE_SCHEMA_POLICY`
Methods in org.eclipse.net4j.db with parameters of type IDBDeltaVisitor.Filter.Policy
Modifier and Type
Method
Description
`IDBSchemaDelta`
IDBSchemaTransaction.`ensureSchema(IDBSchema schema, IDBDeltaVisitor.Filter.Policy policy)`

## Uses of IDBDeltaVisitor.Filter.Policy in org.eclipse.net4j.db.ddl.delta

Fields in org.eclipse.net4j.db.ddl.delta declared as IDBDeltaVisitor.Filter.Policy
Modifier and Type
Field
Description
`static final IDBDeltaVisitor.Filter.Policy`
IDBDeltaVisitor.Filter.`DEFAULT_POLICY`
Methods in org.eclipse.net4j.db.ddl.delta that return IDBDeltaVisitor.Filter.Policy
Modifier and Type
Method
Description
`IDBDeltaVisitor.Filter.Policy`
IDBDeltaVisitor.Filter.Policy.`allow(IDBDelta.ChangeKind changeKind)`
`IDBDeltaVisitor.Filter.Policy`
IDBDeltaVisitor.Filter.Policy.`allow(IDBDelta.DeltaType deltaType)`
`IDBDeltaVisitor.Filter.Policy`
IDBDeltaVisitor.Filter.Policy.`allow(IDBDelta.DeltaType deltaType, IDBDelta.ChangeKind changeKind)`
`IDBDeltaVisitor.Filter.Policy`
IDBDeltaVisitor.Filter.Policy.`allowAll()`
`IDBDeltaVisitor.Filter.Policy`
IDBDeltaVisitor.Filter.Policy.`forbid(IDBDelta.ChangeKind changeKind)`
`IDBDeltaVisitor.Filter.Policy`
IDBDeltaVisitor.Filter.Policy.`forbid(IDBDelta.DeltaType deltaType)`
`IDBDeltaVisitor.Filter.Policy`
IDBDeltaVisitor.Filter.Policy.`forbid(IDBDelta.DeltaType deltaType, IDBDelta.ChangeKind changeKind)`
`IDBDeltaVisitor.Filter.Policy`
IDBDeltaVisitor.Filter.Policy.`forbidAll()`
`IDBDeltaVisitor.Filter.Policy`
IDBDeltaVisitor.Filter.Policy.`freeze()`
`final IDBDeltaVisitor.Filter.Policy`
IDBDeltaVisitor.Filter.`getPolicy()`
`IDBDeltaVisitor.Filter.Policy`
IDBDeltaVisitor.Filter.Policy.`ignore(IDBDelta.ChangeKind changeKind)`
`IDBDeltaVisitor.Filter.Policy`
IDBDeltaVisitor.Filter.Policy.`ignore(IDBDelta.DeltaType deltaType)`
`IDBDeltaVisitor.Filter.Policy`
IDBDeltaVisitor.Filter.Policy.`ignore(IDBDelta.DeltaType deltaType, IDBDelta.ChangeKind changeKind)`
`IDBDeltaVisitor.Filter.Policy`
IDBDeltaVisitor.Filter.Policy.`ignoreAll()`
Constructors in org.eclipse.net4j.db.ddl.delta with parameters of type IDBDeltaVisitor.Filter.Policy
Modifier
Constructor
Description
``
`Copier(IDBDeltaVisitor.Filter.Policy policy)`
``
`Filter(IDBDeltaVisitor.Filter.Policy policy)`